{% extends "base.html" %}
{% load schedule_perms datetime markup %}

{% block page_name %}
    {{ meeting.title }} -
    {% if schedule.date %}{{ schedule.date|strftime:"%Y-%m-%d" }}{% endif %}
    {% if schedule.room %}{{ schedule.room.title }} - {{ summit.title }}{% endif %}
{% endblock %}

{% block extrahead %}{{ block.super }}
 <link rel="stylesheet" type="text/css" media="screen" href="/media/css/virt.css" />
<meta property="fb:app_id" content="310260202349342" />
<meta property="og:title" content="{{ meeting.title }}{% if schedule.date %} - {{ schedule.date|strftime:"%Y-%m-%d" }}{% endif %}{% if schedule.room %}{{ schedule.room.title }}{% endif %}" />
{% if meeting.description %}
<meta property="og:description" content="{{ meeting.description|linebreaks|striptags }}" />
{% endif %}
<meta property="og:url" content="http://summit.ubuntu.com{% url summit.schedule.views.meeting meeting.summit.name, meeting.id, meeting.name|default:'-' %}" />
<meta property="og:image" content="http://summit.ubuntu.com/media/images/cof_orange_hex1.png" />
<meta property="og:site_name" content="The Summit Scheduler" />
<meta property="og:type" content="article" />
<meta itemprop="name" content="{{ meeting.title }}{% if schedule.date %} - {{ schedule.date|strftime:"%Y-%m-%d" }}{% endif %}{% if schedule.room %}{{ schedule.room.title }}{% endif %}" />
<meta itemprop="description" content="{{ meeting.description|linebreaks|striptags }}" />
{% endblock %}

{% block sub_nav_links %}
    {% if meeting.private %}
        {% if meeting.private_key and meeting.private_key != '' %}
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.private_meeting meeting.summit.name, meeting.private_key, meeting.name|default:'-' %}">Shared URL</a></li>
        {% else %}
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.meeting meeting.summit.name, meeting.id, meeting.name|default:'-' %}+share">Share meeting</a></li>
        {% endif %}
    {% endif %}

    {% if meeting.spec_url %}
        {% if summit_organizer or drafter %}
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.attendee_review summit.name, meeting.id, meeting.name|default:'-' %}">Review attendees</a></li>
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.edit_meeting_hangout summit.name, meeting.id, meeting.name|default:'-' %}">Edit Hangout Details</a></li>
        {% endif %}
        <li><a class="sub-nav-item" href="{{ meeting.spec_url }}">Blueprint</a></li>
    {% else %}
        {% if summit_organizer or drafter %}
            {% if summit_organizer %}
                <li><a class="sub-nav-item" href="{% url summit.schedule.views.organizer_edit_meeting summit.name, meeting.id, meeting.name|default:'-' %}">Edit meeting</a></li>
            {% else %}
                <li><a class="sub-nav-item" href="{% url summit.schedule.views.edit_meeting summit.name, meeting.id, meeting.name|default:'-' %}">Edit meeting</a></li>
            {% endif %}
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.attendee_review summit.name, meeting.id, meeting.name|default:'-' %}">Review attendees</a></li>
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.edit_meeting_hangout summit.name, meeting.id, meeting.name|default:'-' %}">Edit Hangout Details</a></li>
            {% endif %}
    {% endif %}

    {% if user_is_attending %}
        {% if user_is_participating %}
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.unregister meeting.summit.name, meeting.id, meeting.name|default:'-' %}">Skip this meeting</a></li>
        {% endif %}
    {% else %}
        {% if meeting.spec_url %}
            <li><a class="sub-nav-item" href="{{ meeting.spec_url }}/+subscribe">Subscribe to blueprint</a></li>
        {% endif %}
        <li><a class="sub-nav-item" href="{% url summit.schedule.views.attend_meeting meeting.summit.name, meeting.id %}">Attend this meeting</a></li>
    {% endif %}

    {% if scheduler %}
        <li><a class="sub-nav-item" href="{% url summit.schedule.views.meeting_copy meeting.summit.name, meeting.id, meeting.name|default:'-' %}">Copy meeting</a></li>
    {% endif %}
{% endblock %}

{% block content %}
<div class="row">
    <section class="span-12">
        <h2>{{ meeting.title }} -- {{ meeting.drafter.name }}</h2>
        {% for ai in agenda_items %}
            <h3>{{ ai.slot }} in {{ ai.room.title }}</h3>
        {% endfor %}
        {% if not meeting.private and summit.social_media %}
            <div class="share">
                <div id="fb-root"></div>
                <script>(function(d, s, id) {
                    var js, fjs = d.getElementsByTagName(s)[0];
                    if (d.getElementById(id)) {return;}
                    js = d.createElement(s); js.id = id;
                    js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=310260202349342";
                    fjs.parentNode.insertBefore(js, fjs);
                }(document, 'script', 'facebook-jssdk'));</script>
                <script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>
                <script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>
                <div class="fb-like" data-href="http://summit.ubuntu.com{{ meeting.get_meeting_page_url }}" data-send="false" data-layout="button_count" data-width="40" data-show-faces="false" data-font="arial"></div>
                <g:plusone size="medium"></g:plusone>
                <a href="http://twitter.com/share" class="twitter-share-button" data-lang="en">Tweet</a>
                <a href="http://www.reddit.com/submit" onclick="window.location = 'http://www.reddit.com/submit?url=' + encodeURIComponent(window.location); return false"> <img style="padding-bottom: 4px;"src="http://www.reddit.com/static/spreddit7.gif" alt="submit to reddit" border="0" /></a>
            </div>
        {% endif %}
        <div id="description">
            {{ meeting.description|markdown:'safe' }}
            {% if meeting.current and attendee and meeting.hangout_url %}
                <h3><a href="{{ meeting.hangout_url }}">Join the Hangout on Air</a></h3>
            {% endif %}
        </div>
    </section>
</div>
<div class="row">
    <section class="span-5">
        <div id="broadcast_video" align="center">
            {% if meeting.broadcast_url %}
                <iframe style="width:100%;" height="395" src="{{ meeting.broadcast_url }}?autoplay=1&amp;autohide=1" frameborder="0" allowfullscreen></iframe>
            {% else %}
                <img style="width:100%;" height="395" src="{{ MEDIA_URL }}images/youtube_placeholder.png">
                <script>
                function update_video()
                {
                    var meeting = null;
                    $.getJSON('/api/meeting/{{ meeting.id }}/',
                      function(meeting) {
                        if (meeting.broadcast_url != '' && meeting.broadcast_url != null) {
                            $('#broadcast_video').html('<iframe style="width:100%;" height="395" src="'+meeting.broadcast_url+'?autoplay=1&amp;autohide=1" frameborder="0" allowfullscreen></iframe>');
                        } else {
                            setTimeout(update_video, 20000);
                        }
                      }
                    );
                }
                setTimeout(update_video, 20000);
                </script>
            {% endif %}
        </div>
        <div id="chat">
        {% if summit.state == 'public' %}
        {% for irc_log in meeting.irc_logs %}
        <iframe style="width:100%; border:2px solid #000000" src="{{irc_log}}" height="395"></iframe>
        {% endfor %}
        {% else %}
        {% for ai in agenda_items %}
        <iframe style="width:100%; border:2px solid #000000" src="{{ ai.room.webchat_url}}" height="395"></iframe>
        {% endfor %}
        {% endif %}
        </div>
    </section>
    <section class="span-6 last">
        {% if meeting.private %}
        <h3>WARNING: Contents of this pad may not be private, and may be searcheable by non-attendees!</h3>
        {% endif %}
        {% if summit.state == 'public' %}
        <iframe width "100%" height="800" src="{{ meeting.edit_link_to_pad }}"></iframe>
        {% else %}
        <iframe width="100%" height="800" src="{{ meeting.link_to_pad }}"></iframe>
        {% endif %}
    </section>
</div>
<div class="row">
       {% ifnotequal meeting.type 'plenary' %}
    <div id="Attendees" class="span-4">
        <h3>Attendees</h3>
        {% for attendee in attendees %}
            {% if attendee in required_attendees %}<strong>{% endif %}{{ attendee.name }}{% if attendee in required_attendees %}</strong>{% endif %}{% if not forloop.last %}, {% endif %}
        {% endfor %}
    </div>
        {% endifnotequal %}
    <div class="span-3">
{% if summit_organizer %}
    {% include "schedule/admin.html" %}
{% endif %}
    </div>
    <div id="Links" class="span-3 last">
        <h3>Links</h3>
        <ul>
            <li><a href="{{ meeting.link_to_pad }}" target="_new">Notes in a separate window</a></li>
            <li><a href="{{ meeting.edit_link_to_pad }}" target="_new">Edit notes window</a></li>
            {% if meeting.spec_url %}<li><a href="{{ meeting.spec_url }}">Blueprint</a></li>{% endif %}
            {% if meeting.wiki_url %}<li><a href="{{ meeting.wiki_url }}">Wiki page</a></li>{% endif %}
            {% for ai in agenda_items %}
                {% if ai.room.irc_channel %}
                    {% if summit.state == 'public' %}
                    <li><a href="http://ubottu.com/uds-logs/archives/{{summit.name}}/%23{{ ai.room.irc_channel }}.log">IRC Logs for #{{ ai.room.irc_channel }}</a></li>
                    {% else %}
                    <li><a href="{{ ai.room.webchat_url }}">IRC Channel: #{{ ai.room.irc_channel }}</a></li>
                    {% endif %}
                {% endif %}
            {% endfor %}

        </ul>
    </div>
</div>
{% endblock %}
